---
title: rattler-build generate-recipe luarocks
---
<!--- This file is autogenerated. Do not edit manually! -->
# [rattler-build](../index.md) [generate-recipe](index.md) luarocks

Generate a recipe for a Lua package from LuaRocks

## Usage
```
rattler-build generate-recipe luarocks [OPTIONS] <ROCK>
```

## Arguments
- <a id="arg-ROCK" href="#arg-ROCK">`<ROCK>`</a>
:  Luarocks package to generate recipe for. Can be specified as: - module (fetches latest version) - module/version - author/module/version - Direct rockspec URL
<br>**required**: `true`

## Options
- <a id="arg---write-to" href="#arg---write-to">`--write-to (-w) <WRITE_TO>`</a>
:  Where to write the recipe to
<br>**default**: `.`
